Send an email
curl --request POST \
--url https://api.hyperspell.com/actions/send_email \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"to": [
"<string>"
],
"subject": "<string>",
"body": "<string>",
"provider": "gmail_actions",
"connection": "<string>",
"cc": [
"<string>"
],
"bcc": [
"<string>"
]
}
'import requests
url = "https://api.hyperspell.com/actions/send_email"
payload = {
"to": ["<string>"],
"subject": "<string>",
"body": "<string>",
"provider": "gmail_actions",
"connection": "<string>",
"cc": ["<string>"],
"bcc": ["<string>"]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
to: ['<string>'],
subject: '<string>',
body: JSON.stringify('<string>'),
provider: 'gmail_actions',
connection: '<string>',
cc: ['<string>'],
bcc: ['<string>']
})
};
fetch('https://api.hyperspell.com/actions/send_email', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"error": "<string>",
"provider_response": {}
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Actions
Send an email
Send an email via a connected Gmail Actions integration.
POST
/
actions
/
send_email
Send an email
Authorizations
APIKeyAsUser
API Key or JWT User Token. If using an API Key, set the X-As-User header to act as a specific user. A JWT User Token is always scoped to a specific user.
Body
application/json
Send an email via Gmail.
Recipient email addresses
Email subject line
Email body (plain text)
Integration provider
Available options:
reddit, notion, slack, google_calendar, google_mail, box, dropbox, github, google_drive, vault, web_crawler, trace, microsoft_teams, gmail_actions, granola, fathom, fireflies, linear, hubspot, salesforce, coda, lightfield, gong, pylon, clickup Connection ID. If omitted, auto-resolved from provider + user.
CC recipients
BCC recipients
Was this page helpful?
⌘I